#!/usr/bin/env node
"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const builder_1 = require("./builder");
const cmd_1 = require("./cmd");
const fs_1 = require("./fs");
const logger_1 = require("./logger");
const _a = new cmd_1.Cmd().parseArgv(), { silent, disableColors } = _a, builderOptions = __rest(_a, ["silent", "disableColors"]);
const logger = new logger_1.Logger({
    silent,
    disableColors,
});
const builder = new builder_1.Builder(builderOptions, new fs_1.FS(), logger);
builder
    .build()
    .catch(logger.error);
//# sourceMappingURL=bin.js.map