import { IFS } from "../fs";
import { ILogger } from "../logger";
import { IBuilder, IBuilderOptions, IBuilderConfig, IBuilderPackage } from "./interfaces";
export declare class Builder implements IBuilder {
    private options;
    private fs;
    private logger;
    private config;
    private srcPackage;
    constructor(options: IBuilderOptions, fs: IFS, logger: ILogger);
    readSrcPackage(): Promise<IBuilderPackage>;
    readConfig(): Promise<IBuilderConfig>;
    build(): Promise<void>;
    private buildAndSavePackage;
    private copyFiles;
    private copyDirs;
}
